Subject: RE: HTML better for small PDAs

From: [email-masked]
Date: Thu, 1 Mar 2001 11:41:52 -0000

John,

You make some good points;  and, unlike some, I never claim to be right all
the time. 

Would you not concede, though, that coders ( should ) write to implement
requirements, which are typically not defined by the coders themselves, but
by their "customers" ?  The IETF publishes lots of I-Ds which give
requirements, rather than coding solutions. The people who write these
requirements are not necessarily coders themselves.

In my, limited, coding experience, I don't recall finding ASCII diagrams as
part of the code.  Poor diagrammatic capability is one of the problems I
have with ASCII. 

I am not trying to push a particular format, just to explore other
possibilities.  You previous point about people choosing to use a "copy
that's easier for some people to read" is interesting.  Doesn't it imply
that we should consider other formats ?  At the least, it implies to me that
ASCII is far from perfect.

IMHO, standards are about far more than writing code;  first, and most
importantly, they are about achieving agreement. ( Otherwise we could all
just go off and write whatever code we want. )  This requires a common mind
set, and a suitable level of understanding to form it.  I am in favour of
making it as easy as possible for common understanding to be reached.  After
all, the subjects are complex enough to understand, without being hampered
by poor communication tools.

Regards,

Graham Travers

Applications Standards Strategist
*  Tel: +44 1359 235086
*  Mobile:  0780 8502536
> *    Fax:  +44 1359 235087
*  HW B279, P.O. Box 200, London, N18 1ZF
* - Email:  [email-masked]

> -----Original Message-----
> From:	John Stracke [SMTP:[email-masked]]
> Sent:	Wednesday, February 28, 2001 5:06 PM
> To:	[email-masked]
> Subject:	Re: HTML better for small PDAs
> 
> [email-masked] wrote:
> 
> >         I have people working for me who write I-Ds, and who HATE the
> ASCII
> > format that they are forced to use.  So much so, that they have
> threatened
> > never to write another I-D.  Do we want to deprive the IETF community of
> the
> > input of experienced technical people ( and, yes, they ARE ! ), because
> they
> > are put off by archaic document formats ?
> 
> Possibly, yes--because code is written in ASCII.  A case could be made
> that
> someone who isn't comfortable with ASCII can't write code, and someone who
> can't write code should not be writing standards for how other people
> should
> write code.
> 
> I'm aware that there are holes in this argument; but I think the same can
> be
> said of yours.  For example, we don't know who these I-D authors you refer
> to
> are, so we don't know what I-Ds they've written, or whether their I-Ds
> have
> been of value to the IETF community.  Unless they speak up for themselves,
> we
> don't know what kind of problems they've had, or how valid they are.
> 
> --
> /================================================================\
> |John Stracke    | http://www.ecal.com |My opinions are my own.  |
> |Chief Scientist |===============================================|
> |eCal Corp.      |All I ask is a chance to prove that money can't|
> [email-masked]|make me happy.                                 |
> \================================================================/
> 
>

---

From: Lloyd Wood <[email-masked]>
Date: Thu, 1 Mar 2001 13:37:38 +0000 (GMT)

On Thu, 1 Mar 2001 [email-masked] wrote:

> by their "customers" ? 

That's _exactly_ what the ISO OSI committees thought.

> The IETF publishes lots of I-Ds which give

Anyone can submit an ID. Many do.

Oddly, coding experience is better-reflected in the RFCs and STDs.

> part of the code.  Poor diagrammatic capability is one of the problems I

I? (What happened to those ID writers working for you?)

> importantly, they are about achieving agreement.

That's _exactly_ what the ISO OSI committees thought.

> Applications Standards Strategist

I'm curious. What, exactly, does an ASS do?

thanks,

L.

<[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>

---

From: John Stracke <[email-masked]>
Date: Thu, 01 Mar 2001 14:50:26 -0500

> part of the code.  Poor diagrammatic capability is one of the problems I

Oh, ASCII art.  I dunno; I've never used it.  It's often not very useful; it's
nice for packet formats, but a lot of the time I think it's done because people
believe pictures are better, and ASCII art is the only pictures they can make.
If you really can't do without it, check out
<http://www.sigsoftware.com/emaileffects/> (Mac and Windows) or
pbmtoascii (Unix).

> You previous point about people choosing to use a "copy
> that we should consider other formats ?

Argh.  My point was *exactly* the opposite: that, when there exist multiple
formats, it is likely that some of them will be wrong; therefore, the only safe
approach is to have exactly one format.

<plonk>

--
/==============================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.|
|Chief Scientist |=============================================|
|eCal Corp.      |Round up the usual disclaimers.              |
[email-masked]|                                             |
\==============================================================/

---

From: John Stracke <[email-masked]>
Date: Thu, 01 Mar 2001 15:56:52 -0500

John Stracke wrote:

> Oh, ASCII art.  I dunno; I've never used it.

A clarification (since somebody called me on it): I've never used it in *Drafts*.
As was pointed out, my .signature has it, sort of; but that's the most I've ever
done...and I don't even do that any more; I wrote a formatter to do it for me.
:-)

--
/================================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.  |
|Chief Scientist |===============================================|
|eCal Corp.      |A ship is safe in a harbor, but that's not what|
[email-masked]|a ship is for.                                 |
\================================================================/

---

From: Michael Richardson <[email-masked]>
Date: Sat, 03 Mar 2001 19:21:58 -0500

>>>>> "graham" == graham travers <[email-masked]> writes:
    graham> In my, limited, coding experience, I don't recall finding ASCII diagrams as
    graham> part of the code.  Poor diagrammatic capability is one of the problems I

  Perhaps that's why you don't write much code.

  Almost all of my code quotes the relevant parts of the RFC. Particularly
the ASCII diagrams. Pretty hard to embed a Visio2000 diagram in the middle of
a comment in C.

    graham> IMHO, standards are about far more than writing code;  first, and most
    graham> importantly, they are about achieving agreement. ( Otherwise we could all

  Yes, you are right. They are about agreeing what is important.

    graham> just go off and write whatever code we want. )  This requires a common mind
    graham> set, and a suitable level of understanding to form it.  I am in favour of

  The mind set that has made the Internet what it is today is the same
mindset that prefers ASCII. The telcos which now claim to dominate the
Internet missed building it in the 1980s, mostly missed in the 1990s (when
Cisco became very well known), and seem to be about to miss the boat again.

  Maybe that's because they don't know how to do diagrams in ASCII. Maybe
there are other reasons. 

    graham> making it as easy as possible for common understanding to be reached.  After
    graham> all, the subjects are complex enough to understand, without being hampered
    graham> by poor communication tools.

  If they are that complicated, then they are too complicated.
  ASCII diagrams are a complexity filter.

] Train travel features AC outlets with no take-off restrictions|gigabit is no[
]   Michael Richardson, Solidum Systems   Oh where, oh where has|problem  with[
]     [email-masked]   www.solidum.com   the little fishy gone?|PAX.port 1100[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [